features:
  secondary:
    - name: "Optionally ignore scanning npm development dependencies"
      available_in: [ultimate]
      gitlab_com: true
      documentation_link: 'https://docs.gitlab.com/ee/user/application_security/dependency_scanning/#configuring-specific-analyzers-used-by-dependency-scanning'
      reporter: sam.white
      stage: secure
      categories:
        - 'Dependency Scanning'
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/227861'
      description: |
        GitLab's Dependency Scanner analyzes vulnerabilities in application libraries that are used in a project, regardless of whether those libraries are regular dependencies or development dependencies. Some users would like to focus only on regular dependencies, ignoring any vulnerabilities found in the development dependencies. Excluding these development dependencies from scanning is now possible for NPM projects by setting the `DS_INCLUDE_DEV_DEPENDENCIES` variable to `"false"`. Open issues to extend this support to future package managers can be tracked in [this epic](https://gitlab.com/groups/gitlab-org/-/epics/2743).
